package com.jasamedika.medifirst2000.dao.custom;

import java.util.Date;
import java.util.List;

import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Repository class for AgamaM
 * 
 * @author Roberto
 */
@Repository("GenericDaoCustom")
public interface GenericDaoCustom {

	public List<Object> findPapNoCmAndTglInput(@Param("table") String table,@Param("noCm") String noCm,@Param("tglInput") Date tglInput);
	
	public List<Object> findMedicalRecordNoCmAndTglInput(@Param("table") String table,@Param("noCm") String noCm,@Param("tglInput") Date tglInput);

	public List<Object> findPapNoCm(String previx, String noCm);

	public List<Object> findMedicalRecordTglInput(String previx, Date from , Date until);
	public List<Object> findMedicalRecordCustomTgl(String previx, Date from , Date until,String tgl);

	public List<Object> findMedicalRecordNoRec(String i, String noRec);

	public Integer checkInputan(String i, String noRec);
	
	public List<Object> findMedicalRecordNoRecAndTglInput(String i, String noRec,Date tglInput); 
	
	public List<Object> findMedicalRecordNoRecAndTglInputPasien(String i, String noRec,Date tglInput);
	
	public List<Object> findMedicalRecordNoRecAntrianPasienDiPeriksa(String i, String noRec);
	
	public List<Object> findMedicalRecordPasienNoRecAntrianPasienDiPeriksa(String i, String noRec) ;
}
